namespace DuSoft.PcmDb.Entities;

public partial class Zgoda
{
    public decimal ZgId { get; set; }

    public string Nazwa { get; set; } = null!;

    public short Aktywna { get; set; }

    public DateTime Zmiana { get; set; }

    public string? Wersja { get; set; }

    public string? Zastosowania { get; set; }

    public string? Komentarz { get; set; }

    public decimal? CentrZgId { get; set; }

    public string? DaneOs { get; set; }

    public virtual ICollection<CentrStanZgody> CentrStanZgody { get; set; } = new List<CentrStanZgody>();

    public virtual ICollection<FormZgod> FormZgod { get; set; } = new List<FormZgod>();

    public virtual ICollection<SklepZgoda> SklepZgoda { get; set; } = new List<SklepZgoda>();

    public virtual ICollection<StanZgody> StanZgody { get; set; } = new List<StanZgody>();

    public virtual ICollection<TekstZgody> TekstZgody { get; set; } = new List<TekstZgody>();

    public virtual ICollection<ZdarzOs> ZdarzOs { get; set; } = new List<ZdarzOs>();
}
